Polygon Cruncher 6.7 help

Polygon Cruncher 7.0 help

Welcome to Polygon Cruncher help.
Polygon Cruncher is a polygon reduction plugin for Lightwave modeler (V5.x, V6.x, V7.x, V8.x) and 3DS Max (V4.x, V5.x, V6.x, V7.x, V8.x), Autodesk VIZ et 3D Photo Browser. It allows you to reduce intelligently the number of faces and point of your 3D objects.
This new release offers new optimization features, a better optimization quality, a better OpenGL viewer and new bitmaps textures files formats. Look at the What's new in release 7.0? page to know more about new features.

We make Polygon Cruncher easy to use and fast to compute, so that it answers to your demand. We hope you get as much enjoyment from this plugin as we had in making it.

Manuel Jouglet
contact@mootools.com
http://www.mootools.com/plugins/us


Table of contents

Generalities

Polygon Cruncher overview
Advantage of mesh optimization
 What's new in release 7.0 of Polygon Cruncher?
Credits, thanks
 License agreement

Register Polygon Cruncher

Registering Polygon Cruncher

Contacts

Contacts, technical support

Using Polygon Cruncher with Lightwave

Lightwave plugin overview

Using Polygon Cruncher with 3DS Max / Autodesk VIZ

3DS Max / Autodesk VIZ plugin overview

Using Polygon Cruncher with 3D Photo Browser

3D Photo Browser plugin overview

Using Polygon Cruncher

Using Polygon Cruncher overview
Borders protection mode
Selection of faces to optimize
Optimization of vertex colors
Optimization of textured objects
Advanced features
Apply optimization to the scene

Optimizations examples

Optimizing a cow
Optimizing a hand
Optimizing an object using the different borders mode
Optimizing a materials selection
Optimizing using or not Keep material discontinuities setting
Optimizing an object that have vertex colors
Optimizing textured meshes

Using 3D viewer

Specifics Polygon Cruncher features
Frozen faces display toolbar

File menu
Save as
Save scene as image
Print...

Tools menu
Navigating in the scene
Pan
Rotate
Zoom

Preferences
General preferences
Colors and lights
Textures
Textures directories

View menu

Predefined points of view
OpenGL display mode
 Enable texturing
Enable vertexs colors
Fit on screen
Full screen


Polygon Cruncher overview

Polygon Cruncher is a plugin for LightWave Modeler V5.x, V6.x, V7.x, V8.x / Inspire 3D, 3DS Max V4.x, V5.x, V6.x, V7.x, V8.x / Autodesk VIZ 4.x and 3D Photo Browser.
It allows you to decrease faces and points number. So, Polygon Cruncher is a plugin which do polygon reduction. This is also called decimation or 3D optimization.

Polygon Cruncher is really simple to use. It offers you :

  • An intelligent reduction of the number of faces : useful faces are removed at last. So you can reduce your model up to 75 % without removing details.
  • Optimization is pre-calculated, which allows to optimize the scene in real time.
  • You control accurately the number of faces or points you want.
  • Polygon Cruncher keeps all UV textures channels information and vertex colors channels information.
  • You can apply Polygon Cruncher on one or more objects at the same time, on one materials or several materials. You can work on a faces selection or on an invert faces selection.
  • Respect of symmetry for objects that are symmetrical
  • You can protect the border of the objects. Polygon Cruncher allows you to protect or to exclude objects borders. So your objects stays connected after optimization process.
  • An OpenGl preview which allows you to control optimization results.
  • Batch optimization of a set of files. You define clearly the optimization levels you wish for each files.
  • Polygon Cruncher is very fast.


Advantages of object optimization

Polygon Cruncher allows you to reduce the number of faces of your objects, while keeping all their details.
Generally speaking, reducing faces number with Polygon Cruncher allows you to:

  • Simplify modelisation process (display is faster because your objects have less faces).
  • Reduce rendering time.
  • Reduce memory requirements when rendering the scene.

In practice, reduce the polygons number is useful for :

Intelligently fit precision of your object to their uses in the scene :

Why using a 12000 polygons tree in a scene if, once rendering, this tree is in the background of the picture ? In that case a tree compound about a hundred of polygons give the same visual effect.

Finalize object modelisation :

When modelling polygons number limitation is not a predominant criterion. Generally, the most important thing is that the model looks like reality. Furthermore, most of the modelisation steps increase unnecessarily polygons number. Polygon Cruncher may be used at the end of the modelisation process to remove this unnecessarily faces, without removing details of the object.

Fit your object to particular constraint :

Some applications need objects with low faces number. 3D Games is an obvious example. In other case, you may want that two differents objects have the same polygons number (for example to make a morphing between the two objects). All this is possible with Polygon Cruncher.


What's new in release 7.0?

Improvements in release 7.0

New features

  • Batch processing: it's now possible to batch optimize a single file or a set of files. You control accurately the optimization levels you need.

3DS Max version

  • Version 3DS Max: 3DS Max 8.0 support
  • Dialog parameters are kept (Apply modifiers setting)

LightWave version

  • Dialog parameters are kept (optimization mode)

3D Photo Browser version

  • Polygon Cruncher can be opened from the main window

Improvements in release 6.7

Others

  • Polygon Cruncher is 40% faster and need less memory
  • Less Light / More Light commands
  • New view menu organization
  • Fix: some objects might be invisibles on some graphics cards
  • Fix: VRML import improved. Transformations are now handled
  • Fix: 3DS import improved. Pivots are now handled
  • Fix: 3DS is incorrectly exported when hidding objects in the scene
  • Fix: Truespace import improved. Transformation matrix are better handled

Improvements in release 6.63

Others

  • Fix: sometime plugin fails to load in 3DS Max

Improvements in release 6.61

Others

  • Fix: bad menu initialization which can makes the host application crashes (3DS Max / Lightwave)

Improvements in release 6.6

New features

  • 3DS Max release: 3DS Max 7.0 is now supported
  • 3DS Max release: "Optimize selection button"
  • Lightwave release: update now use Lightwave 8.0 SDK
  • Lightwave release: maps update has been improved
  • Upgrade Polygon Cruncher command

Others

  • Fix: bad triangulation occurs on face with holes
  • Fix: the application window sometime freezes
  • Fix: face orientation corrected for Lightwave and 3DS Max, which allows to use single face display (now the default)
  • Fix: selection and wireframe color are now correctly displayed

Improvements in release 6.5

New features

  • Lightwave and 3DS Max release: optimization is precomputed (cf. Improvements in release 6.0)
  • Improved UV textures optimization, which allows to increase optimization ratio.
  • UV textures optimization does not involve to use the Keep materials discontinuities option.
  • Optimization matches more closely the entered faces or points number.
  • Multiple UV channel optimization
  • Multiple vertex colors channel optimization
  • New exportation formats through the Save As... command

Lightwave version

  • It's now possible to optimize a single or all layers.
  • All UV and vertexs colors are now imported and optimized in Polygon Cruncher.

3DS Max version

  • All UV and vertexs colors channels are now imported and optimized in Polygon Cruncher.
  • Improved stability when replacing objects by optimized objects in 3DS Max scene.

Viewer

  • Low resolution textures setting allows to specify the maximum image size to use.
  • Enable vertexs colors is now more accessible and has been included in the toolbar. It's also possible to display simultaneously textures and vertexs colors.

Others

  • Fix: vertexs are now correctly frozen when optimizing UV using 0.0 as tolerance value.
  • Fix: vertexs are now correctly frozen when they belong to a material which is excluded from the optimization

Improvements in release 6.01

  • Fix: sometimes there can be a long delay between the moment when the optimization computation is done and the moment when the optimization slider is displayed.
Improvements in release 6.0:
  • Optimisation is now computed once for all. The slider gives an immediate access to a given optimization ratio.
  • New method for calculation initialization, which avoid wasting time when changing parameters.
  • Polygon Cruncher pour 3DS Max 6.x
  • Fix: crash when optimizing textured quads faces.
Improvements in release 5.11:
  • Fix: Polygon Cruncher for 3D Photo Browser crashes when scene has an hierarchy or patches
  • Fix: 3D viewer might crashes on some graphics cards in wireframe mode

Improvements in release 5.1:

  • Polygon Cruncher for 3D Photo Browser
  • Polygon Cruncher for 3DS Max 5.x
  • Save as, print commands
  • Setup bug correction (wrong path for the help file)

Improvements in release 5.0:

  • Better optimization quality:
    • Optimization allows to keep object symmetry.
    • Advanced parameters that offer control on face compactness and normals inversions.
    • Improvement in the order faces are optimized.

  • Better OpenGL viewer
    • New viewer interface
    • New commands access menus
    • New commands shortcuts
    • Fit on screen command
    • Save as... features
    • New textures files formats support

  • New setup software
  • Help improvement, due to the addition of a lot of concretes examples.
Releases historical:

Improvements in release 4.0 of Polygon Cruncher:

  • Better optimization
    • Optimization quality has been really increase (Optimized polygons are more compacts).
    • Better optimization on plane surfaces.
    • New feature : points sharing two (or more) differents materials can be froozen.
    • It's now possible to freeze a point selection for each objects.
    • It's now possible to exclude optimization of one or more materials for each object.
    • Better optimization of vertex colors (It's now possible to freeze points depending on a color threshold).
  • Improved OpenGL viewer
    • Textures are now displayed in the OpenGL viewer.
    • New icons for combinated modes (smooth+wireframe, flat shading+wireframe).
    • Complete OpenGL preferences (textures directories, lighting...).
    • New camera interface.
    • Faster OpenGl display.
  • A new interface
    • New user interface to simplify use of Polygon Cruncher
    • New visualization toolbar.
    • New display for optimization statistics.
    • New optimization progress bar.
Improvements in release 3.0 of Polygon Cruncher:
  • Texture coordinates and vertex colors are kepted.
  • Texture discontinuity preservation depending on a choosen tolerance value.
  • Optimization specifying a wished number of points or faces.
  • Detailed information on object optimization.
  • Better optimization on coplanar faces.
  • 3DS Max version:
    • optimization on a selected face set or on an invert selected face set.
  • Improved OpenGL viewer:
    • New controler in rotation mode.
    • Visualization of faces that are excluded of optimization.
    • OpenGL preferences (wireframe color, semi-transparent mode...)
    • Improved performances.
Improvements in release 2.0 of Polygon Cruncher:
  • New OpenGl viewer
    • Smooth shader
    • User defined smooth angle.
    • Wireframe & smooth shader, wireframe & flat shader : this allow you to see the optimization and the final object appearance.
    • Moving tools icons.
  • New optimization features :
    • Materials optimization : you can now optimize one or several materials. Materials frontiers are perfectly kepted.
    • Object optimization : you can now optimize one or several object.
  • New triangulation algorithm for preparing objects before optimization. Concaves faces are now perfectly optimised under Lightwave.
  • Better use interface.


Credits

Polygon Cruncher is based on an original algorithm created by Michael Garland (garland@cs.cmu.edu).
For more information, look at http://www.cs.cmu.edu/~garland/quadrics/

Many thanks to NullSoft for the NSIS setup solution.

Beta test: Olivier Goguel and all Kalisto team, Olivier Michon, all Blackfeet team.

Help on US translation: Mark Brenner

Splash screen, icons: Olivier Jouglet Marcus

Computer programming, interface creation, help and more: Manuel Jouglet Marcus


License agreement

Polygon Cruncher license Agreement

Please read the following terms and conditions before using this software. Use of this software indicates you accept the terms of this license agreement and warranty.

1. Registered Version

A single registered copy of this software may either be used by a single person who uses the software himself on one or more computers, or installed on a single computer and used by multiple people, but not both.

You may access the registered version of this software through a network, provided that you have obtained individual licenses for the software covering all computers that will run the software from the network. For instance, if six different workstations will access this software on the network, you will need a six-user license, whether they use this software at different times or concurrently.

2. Evaluation and Registration

This is software is not a free software. Subject to the terms below, you are hereby licensed to use this software for evaluation purposes without charge for a period of 7 days. If you use this software after the 7 days evaluation period, registration is required. Registrations are fulfilled by Mootools software. For further information, visit the Mootools Web site at: http://www.mootools.com

3. Distribution

Provided that you are distributing the current non-registered software version you are hereby granted permission to duplicate and distribute the program;

1. Give exact copies of the original software version to anyone without any registration code or cracking software.
2. Distribute this software and documentation in its unmodified form.
3. If you distribute this software and/or documentation with other products (commercial or otherwise) provide prior an email to Mootools at gestion@mootools.com. Tell us that you are distributing this software and, if the software is being distributed with other media or software. Mootools prior written approval is required. There is no charge for this.

4. Disclaimer of Warranty

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OF MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. Because of the various hardware and software environments into which this software may be put, NO WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE IS OFFERED.

Good data processing practice dictates that any new program should be thoroughly tested by the user with non-critical data before relying on it. The user must assume the entire risk of using the program. ANY LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF PURCHASE PRICE.


How to register Polygon Cruncher?

Polygon Cruncher offers a 7 days trial period. After this delay it runs in demonstration mode.

Giving that I am an independent developer, this license remuneration allows me to continue my development activities and to improve Polygon Cruncher.
You make this software possible, thanks you!

Getting a license of Polygon Cruncher allows you:

  • To get technical support.
  • To have Polygon Cruncher upgrades information.
  • To participate actively to Polygon Cruncher improvement. You need a new feature? Ask me! I will try, if possible, to include it in the next version.

In order to register Polygon Cruncher, you can:

  • Click on the Help menu and select "Buy Polygon Cruncher"
  • A dialog box offers you 2 ways of registering the software:
    • Software integrated solution:
      Payment is secured and serial number is automatically validated once the procedure achieved.
      Furthermore, you receive an email confirmation for your order, which contains the serial number and payment details.
    • Online registration
      You can also register on our web site http://www.mootools.com/plugins/us (Buy section).
      Payment is secured and, once performed, you receive an email confirmation for your order which, contains the serial number and payment details.

Followings payment methods are possible:

Credit card
(Visa, American Express, Diner club...).
Secure transaction
Check
Wire transfer
Cash

Payment is totally secured. ShareIt! or eSellerate, specialized sharewares resellers, perform it. Whatever the online registration method you choose, you'll receive immediatly a definitive license.

The Help menu allows you to open quickly these web pages. You can also enter here the final serial number you've just received.


Crédits

Contacts

Thanks to contact us at:

  • contact@mootools.com
    If you need commercial information (on Polygon Cruncher registration or if you want to include Polygon Cruncher on a magazine cover CD or a book...)
    If you have any ideas on Polygon Cruncher improvement.
  • support@mootools.com
    If you need technical support.
    If you want to report a bug.
  • order@mootools.com
    If you need any information concerning your registration (serial number loss, upgrade...)
Look at the download section of our site to get the last release of the software.


Using Polygon Cruncher for Lightwave

Installation

In order to install Polygon Cruncher :

  • Run Setup.exe.
  • Select Polygon Cruncher and select Lightwave plugin for Polygon Cruncher.
  • Install Polygon Cruncher in the Lightwave modeling plugin directory (generally \Program files\Lightwave\Plugins\Model).

Adding the plugins in Lightwave

Once installed, plugin must be recognized by Lightwave :

  • Run Lightwave.
  • Add Polygon Cruncher plugin using Add plugin function (cf Lightwave documentation). The plugin name is:
    • PolygonCruncher6_50.p for Lightwave 5.5 or 5.6
    • PolygonCruncher6_60.p for Lightwave 6.x, 7.x
    • PolygonCruncher6_80.p for Lightwave 8.x or more
  • Load an object.
  • Run Polygon Cruncher which is in Custom menu or Construct/Additional (V7.x) or Utilities/Additional (V8.x) menu. You can also use Edit plugin to assign a shortcut key to Polygon Cruncher.

Choose the optimization mode

Interactive optimization of the current scene

Depending of your choice, Polygon Cruncher get the objects from the curent, active or all Lightwave layer and displays them in Polygon Cruncher's visualization window.

You can select the layer to optimize in the Polygon Cruncher object list. You can also choose a material to optimize for a given layer.

UV texture and vertex colors settings are set back into Lightwave once optimization done. Polygon Cruncher for Lightwave also try to keep:

  • Weights maps
  • Morphs maps
  • Sets (points selection)
  • Parts (polygons selection)
Batch processing

Select Optimize a set of files to display the batch processing dialog box.

LightWave might display dialogs while performing a batch processing. This can occurs when LightWave can't find a texture file.

Check Validate LightWave dialogs automatically during batch processing if you want to validate automatically these dialogs and avoid batch processing interruption.

Note: when this option is checked and when LightWave can't find the file for a texture, the reference to this texture will be missing in the optimized file. In this case, use the material editor to set back the texture file for materials in optimized files, or leave Validate LightWave dialogs unchecked.

Notes about Polygon Cruncher for Lightwave

  • Batch processing is not available in Polygon Cruncher for LightWave 5.x
  • You do not have access to the texture and vertex colors settings if you are using the plugin with Lightwave 5.x or 6.x. These features are only available under Lightwave 7.x, 8.x or more.

Desinstallation

To uninstall Polygon Cruncher, use "Add/Remove programs" in the Windows control panel.


Using Polygon Cruncher for 3DS Max / Autodesk VIZ

Using Polygon Cruncher for
3DS Max / Autodesk VIZ

Installation

In order to install Polygon Cruncher :
  • Run Setup.exe.
  • Select Polygon Cruncher and select 3DS Max / Viz plugin for Polygon Cruncher.
  • Install Polygon Cruncher in the 3DS Max / VIZ plugin directory (usually \3DSMax\StdPlugs\).

Launch Polygon Cruncher for 3DS Max / Autodesk VIZ

  1. Run 3DS Max / VIZ.
  2. Create an object and select it
  3. Select 3DS Max Utilities plugin tab
  4. Click on More button
  5. Select Polygon Cruncher in the utilities plugin. If the plugin does not appear please follow the instructions in the Polygon Cruncher does not appear in the plugin utility list section below.
  6. Polygon Cruncher opens. You can:

Optimize selection

 Optimize the currently select object

Pick and optimize object

 Allows you to pick an object to optimized in the 3DS Max / VIZ scene.
Select and optimize objects | Opens a dialog box and allows you to select one or more objects to optimize.
Batch optimization Display the batch processing dialog.

This dialog allows to define the file directory to optimize, the optimization settings and the optimization levels, as well as the optimized files format.
Apply geometric modifier
  • When this option is checked, modifiers will be applied before objects optimization in Polygon Cruncher. Once objects are optimized, modfiers stack is removed. You keep textures coordinates and vertex colors in this mode now.
  • When this option is unchecked, Polygon Cruncher optimize the base object (the object which is at the bottom of the modifier stack). Modifiers are kepted once the optimization is done (ie. textures are kepted). This is the default mode and it is the one which keep the more informations after the optimization process.
Valider automatiquement les dialogues 3DS Max lors du traitement par lots

3DS Max might display dialogs while performing a batch processing. This can occurs when 3DS Max can't find a texture file or when 3DS Max loads a file created by an older version.

Check this setting if you want to validate automatically these dialogs and avoid batch processing interruption.
Use 3DS Max bitmaps directories | Allows you to use all 3DS Max / VIZ textures path in the Polygon Cruncher OpenGL viewer. Click on this button if Polygon Cruncher can't retrieve texture bitmap files.

Notes about Polygon Cruncher for 3DS Max / Autodesk VIZ

To be optimized, objects must be optimized. Polygon Cruncher triangulates objects and informs you vous informs you about objects which are converted into polygonal meshes.

  • Optimized objects are converted into polygonal meshes. It is not always possible to do this conversion. Some objects can't be optimized (ie. Space Warps).
  • Polygon Cruncher modify object topology. Some modifiers are topologically dependent. When you don't select Apply modifiers, Polygon Cruncher shows the objects which have such modifiers.

Desinstallation

To uninstall Polygon Cruncher, use "Add/Remove programs" in the Windows control panel.

Polygon Cruncher does not appear in the plugin utility list

If you don't see in the plugin utility list, Polygon Cruncher might be unloaded. In this case:

  • Check you have polygoncruncher6_**.dlu in your 3DSMax/StdPlugs folder.
    If you use 3DS Max 7, you should find polygoncruncher6_70.dlu.
    If you use 3DS Max 6, you should find polygoncruncher6_60.dlu.
    If you use 3DS Max 5, you should find polygoncruncher6_50.dlu...

    If you don't find this file, Polygon Cruncher is uncorrectly setup. Please setup Polygon Cruncher application again in administrator mode.
  • Run 3DS Max
  • Open Customize/Plugin manager in 3DS Max menu.
  • Look for Polygon Cruncher in the list.
  • If the status displays unloaded, right click on the plugin list and select Load New Plugin function.
  • Select polygoncruncher6_**.dlu in the 3DSMax/StdPlugs folder.
  • Then refer to Launch Polygon Cruncher for 3DS Max / Autodesk VIZ
    • section above.


Using Polygon Cruncher with 3D Browser

Using Polygon Cruncher
with 3D Photo Browser

Installation

  • Polygon Cruncher is included with the 3D Photo Browser setup. It is automatically installed during the 3D Photo Browser installation.

Launch Polygon Cruncher for 3D Photo Browser

You can access Polygon Cruncher and Batch Polygon Cruncher directly from the main window of from a 3D Viewer.
If you optimize large scene, open Polygon Cruncher from the main window. You'll save memory and processing might be fastest.

Optimizing a single scene

From the main window

  • Run 3D Photo Browser
  • Select a 3D file from the main window
  • Select Tools > 3D > Polygon Cruncher... menu
  • Polygon Cruncher runs and displays the selected scene
  • Optimise then validate your settings
  • A file selector is displayed. Enter a file name for the optimized scene.

From a 3D Viewer

  • Run 3D Photo Browser
  • Open a 3D file from the main window
  • Select Edit > Polygon Cruncher
  • Polygon Cruncher runs and displays the selected scene
  • Optimise then validate your settings
  • Optimized scene is displayed in the 3D viewer. You can save the scene using the Save as... command from the File menu

Batch processing files

From the main window

  • Run 3D Photo Browser
  • Select a 3D file from the main window
  • Select Tools > 3D > Batch Polygon Cruncher... menu
  • The batch dialog appears

From a 3D Viewer

  • Run 3D Photo Browser
  • Open a 3D file from the main window
  • Select Edit > Batch Polygon Cruncher
  • The batch dialog appears


Using Polygon Cruncher overview

When you run Polygon Cruncher, it initializes the optimization. It consists of :

  • triangulating objects.
  • Searching the borders of the objects.
  • Cleaning the object (invalid face, isolated point).

If you are running an unregistered version of Polygon Cruncher, you will be asked for a serial number. By entering a serial number, you activate the Apply button. It allows you to export optimization results in Lightwave or 3DS Max. Polygon Cruncher gives you the following options :

  • Choose borders protection mode
  • Selecting faces to optimize
  • Optimizing textured objects
  • Optimizing objects with vertex colors
  • Advanced parameters
  • Apply optimization to the scene

Look also specifics information depending on the Polygon Cruncher you are using:

  • Using Polygon Cruncher with Lightwave
Optimisation sur une sélection Appliquer l'optimisation Optimisation des vertexs colors Optimisation des textures Mode d'optimisation
Optimization on a selection Apply optimization Vertexs colors optimization Textures optimization Optimization modes


Borders protection mode

Borders protection mode
An edge is on the object border when it is shared by only one face. Object borders (set of edges which belong to a single face) are often visually important to keep. Polygon Cruncher offers 3 modes to take care of these borders. Look at the visual example to get more information.
Crunch borders | This mode optimize object without care about faces that are at the borders of the object. Borders property is not taking into account when Polygon Cruncher removes faces. It is preferable to use the protect borders mode.
Protect borders | This mode protects faces that are at the borders of the object. However, borders faces can be removed when the optimization factor you want is too high. In this case Polygon Cruncher can't exclude borders faces anymore of the optimization process. If you wish for keeping borders faces, use exclude borders mode.
Exclude borders | In this mode, borders faces are never removed even with high optimization factor. Take note that in exclude borders mode removables faces number is smaller. This mode is advantageous when your scene is compound of several objects which must stay connected after optimization process. Using exclude borders, your objects stay connected. This avoid holes creation between objects.

Original model

Protect borders mode
Holes can appear between objects when optimization factor is too high

Mode Exclure les bords
Objects always stay connected even for high optimization factor but the number of optimizables faces number is smaller
Optimisation sur une sélection Appliquer l'optimisation Optimisation des vertexs colors Optimisation des textures


Selection of faces to optimize

Selection of faces to optimize
Click on the selection tab to get the objects list of the scene. This list allows you to select the objects to optimize. For each objects, it's also possible to exclude one or several materials, to freeze faces from a selection (if it exists) or an invert selection. The excluded faces can be red-displayed in the OpenGL viewer. Look at specifics Polygon Cruncher OpenGL features page to get more information.
Optimize or exclude an object from the optimization | To optimize an object, check the box near the object name in the list.
Optimize or exclude a material object from the optimization | To optimize one or more object materials, unfold the object list, check the box near the material name you want to optimize. If you exclude a material, it's frontier will be perfectly keept (cf. example).
Optimize or exclude a material object from the optimization | To exclude faces from an object selection or an invert selection, unfold the object list, then check the Freeze selection box or the Freeze invert selection box.
Optimisation sur une sélection Appliquer l'optimisation


Optimization of vertex colors

Vertex colors

Vertex colors are often used to simulate lighting. Polygon Cruncher is able to keep this information during the optimization process.

When needed, it's possible to protect frontiers between different colors (freeze vertex colors discontinuities) by frozen points that belong to these frontiers. A tolerance factor set the level for which a vertex color is considered to be different than its neighbor colors.

Look at the visual example for more information.
Keep vertex colors This option is available only when one of the object has vertex colors information.
Check this option to keep vertex colors information during optimization.
Checking this option, OpenGL viewer will automatically display vertex colors on each points of the mesh.

Freeze vertex colors discontinuities

This option freezes automatically points:

  • Which are on the frontier of different colors (points which have several colors).
  • Which have a color discontinuity with their neighborhood.
    RGB tolerance allows you to increase or decrease tolerance on colors discontinuities.
RGB tolerance (0 to 255)

Enter a value between 0 and 255 to increase or decrease the color discontinuity threshold.

  • 0 freezes all points which have a different color than her neighbor.
  • 255 does not freeze any points.
  • 20 is, generally, a good value that allows to keep colors frontiers without reducing excessively the optimizable points or faces numbers.
Optimisation sur une sélection Appliquer l'optimisation Optimisation des vertexs colors Optimisation des textures


Optimization of textured objects

Textures

Polygon Cruncher conserve les textures during optimization. Several features are available to keep texturing quality, especially in case of multitextured objects.
Keep material discontinuities

Check this option if you want to preserve frontiers between different materials. In this case, the optimization process does not disturb frontiers. Points that belong to faces that have different materials are frozen and cannot be moved or removed during optimization. See an example.
Keep textures This option is disabled if objects doesn't have textures coordinates.
Check this option to keep textures coordinates information during optimization.
Checking this option, OpenGL viewer will automatically display textures.
Check Freeze UV textures discontinuities to avoid merging faces that have texture discontinuity.

Freeze UV textures discontinuities

Check this option when an objet is textured with several materials or when a texture discontinuity appears between several faces. Such faces will be excluded of the optimization process by checking this option. This allows a perfect texture optimization but this reduces the optimizable face and point number. If you optimization ratio is too low, you can increase it by modifying the Texture protection tolerance (0.0 to 1,0) value.
UV tolerance (0.0 to 1.0)

Enter a value between 0.0 and 1.0 to change the texture protection tolerance.

  • A value of 0.0 excludes all faces that have texture discontinuity of the optimization process.
  • A value of 1.0 allows optimizing all faces, even faces that have texture discontinuity.
  • 0.1 is a good value : it gives good visual results and increases optimization ratio.

The entered value depend on the texture displacement between two faces which have a texture discontinuity.

Optimisation sur une sélection Appliquer l'optimisation Optimisation des vertexs colors Optimisation des textures


Advanced features

Click on the Advanced features tab to get access to these settings.

Symmetry

These settings allow you to define a symmetrical plane. Polygon Cruncher will optimize taking care of this plane. If symmetry is partial, only parts that are symmetrical will be affected by these settings. Others parts will be optimized normally.
Polygon Cruncher will look for symmetrical pairs of edges. When a point is modified during optimization, its symmetrical is optimized in the same way too.

Notes:

  • Points that are on the symmetrical plane are frozen, because they are there self-symmetrical.
  • Beware, to be symmetrical an objet should be mirrored constructed from both parts of the symmetrical plane. Some revolutions objects (such sphere), are not symmetrical because faces edges are oriented in the same direction on each side of the symmetrical plane.
No symmetry Scene has no symmetry.
Scene is optimized without searching symmetrical pairs of points.
XY symmetry | Scene is symmetrical around the XY plane.
YZ symmetry | Scene is symmetrical around the YZ plane.
XZ symmetry | Scene is symmetrical around the XZ plane.
Tolerance It often occurs that a scene is visually symmetrical but infinitesimal shifts do not allow finding points that are symmetrical.
If this occurs, increase tolerance. Polygon Cruncher will look around the theoretical position of a symmetrical point in order to find it.

Quality control
By default these settings are checked. They give better optimization results in most of case. If you want to apply a really high optimization ratio it can be interesting to try to uncheck these settings as they add constraint to optimization and modify the natural optimization order for removing faces and points.
Favor compacts faces | A face is compact when it is not sharp. It means that it does not have any sharp edge and the triangle it made is nearly equilateral. When this option is checked, Polygon Cruncher verify that the removal of one face does not create sharpens faces. This gives a better repartition of faces among the object. Faces are better equilibrated. You may get better result with this setting unchecked if the original object as a lot of sharpens faces.
Prevent normals inversions | When optimizing Polygon Cruncher moves points. It can occur that these moves cause normals inversions. Resulting object seems to have holes. Check this setting to prevent normals inversions.
 Optimisation sur une sélection Appliquer l'optimisation Optimisation des textures


Apply optimization to the scene

Once you have choose the optimization mode and selected the faces on which optimization will be done, just click on Compute scene optimization. Optimization process starts and each optimization steps are saved. You can stop it, using the Cancel button in the progress dialog. Once finished, enter the faces number or the points number you wish.

  • Select points if you want to enter a points number value, select faces if you want to enter a faces number value. Points mode is useful when you need to morph between meshes. Indeed, once optimization done, you'll get exactly the number of points you entered.
  • Enter faces or points number in the edit box.
  • Use the slider to choose an optimization factor (ie. 50% to remove one out of two faces, or one out of two points).

Polygon Crunchers displays the optimization at the level you asked. The OpenGL preview lets you choosed the best optimization ratio for your scene. If you change the optimization settings, the optimization is invalidated and must recomputed.

Polygon Cruncher informs you on the optimizable and optimized faces number of your scene. If you have several objects, and need more accurate information, you can look at the statistics information which are available for each objects (selection tab). Those statistics give you the points and faces number of original objects and of the optimized objects. It also give you the number of optimizable faces and points for each objects, the existence of textures coordinates or vertex colors.

When you are satisfied of the optimization results, you can export results in the modeler (Apply) or cancel your optimization (Cancel).

Note : if you are running Polygon Cruncher in demonstration mode, the Apply button is disabled; so, you can't export optimization results. To register Polygon Cruncher, look at the register Polygon Cruncher page.
Optimisation sur une sélection Appliquer l'optimisation Optimisation des vertexs colors Optimisation des textures


Optimizing a cow

Optimization example

Optimizing a cow
Cow : original model 5205 faces 3001 points | object optimized up to 50 % 2905 faces 1520 points
object optimized up to 75 % 1452 faces 777 points | object optimized up to 90 % 319 faces 581 points


Optimizing a hand

Optimization example

Optimizing a hand
Hand : original model 13383 faces 7339 points | object optimized up to 50 % 7886 faces 3985 points
object optimized up to 75 % 3943 faces 2000 points | object optimized up to 90 % 1576 faces 805 points


Optimizing an object using the different borders mode

Optimization example

Optimizing an object using the different borders mode
Original object 1024 faces
Optimized object Cruncher borders mode 500 faces Object borders are modified. This can occurs even if the optimization ratio is low. | Optimized object Exclude borders mode 128 faces Faces that belong to object borders are frozen which means that they can't be optimized. This guarantee that borders will never be affected by optimization. Here we have the higher optimization ratio using this mode. Result is worse than using Protect borders mode but borders are never touched by optimization.
Optimized object Protect borders mode 6 faces Borders are protected along optimization process. In this example, we have the better optimization possible without modifying borders. Optimization is really better than using Exclude borders mode because no faces are frozen. | Optimized object Protect borders mode 5 faces Borders are protected as long as it's possible. However, optimization ratio is too high, Polygon Cruncher modifies borders. For a complex object, a visual verification might be necessary to check that borders have not been touched by optimization.


Optimizing a materials selection

Optimization example

Optimizing a materials selection
Look also the Optimization example using or not Keep material discontinuities example.

Sphere : original mesh

Sphere : mesh is 75 % optimised - optimization of
all materials
Faces are optimized without care about materials

here : red, cyan and green strips materials are optimised
The frontier with the magenta strip is perfectly kepted.


Optimizing using or not Keep material discontinuities setting

Optimization example

Optimizing using or not Keep material discontinuities setting
Original object Not using keep material discontinuities | Original object Using keep material discontinuities Reds points on a material separation frontier, are frozen and are excluded of the optimization process.
Optimized object Not using keep material discontinuities Frontiers between different materials are not preserved | Optimized object Using keep material discontinuities Frontiers between different materials are preserved by optimization


Optimizing an object that have vertex colors

Optimization example

Optimizing an object that have vertex colors

Original object
not using Keep vertex colors

Object has 2 materials

Original object
Using keep vertex colors without freeze vertex colors discontinuities

Vertex colors give illusion that object is illuminated. Nevertheless is used to render the object

Original object
Using keep vertex colors with freeze vertex colors discontinuities. Tolerance 0.

Frozen points are displayed in red. These points are excluded of the optimization process.
Almost all faces are frozen as each point has a color that differs from its neighbor.

Original object
Using keep vertex colors with freeze vertex colors discontinuities. Tolerance 35.

Frozen points are displayed in red. These points are excluded of the optimization process.
Only the center, which has important colors variations, is frozen.

Original object
Using keep vertex colors with freeze vertex colors discontinuities. Tolerance 90.

Frozen points are displayed in red. These points are excluded of the optimization process.
Only the frontier between the 2 materials is frozen, as the difference between the 2 colors is important.


Textured meshes optimization examples

Optimization example

Textured meshes optimization examples
Original object 2450 faces 1710 points | object optimized up to 50 % 1225 faces 855 points | object optimized up to 90 % 249 faces 174 points
Original object 18340 faces 11400 points | object optimized up to 50 % 9170 faces 5700 points | object optimized up to 90 % 1834 faces 1140 points


Open GL / Specifics Polygon Cruncher features

Frozen faces display toolbar
toolbar access

Depending on optimization settings, some faces can be frozen which means that they are excluded of the optimization process. There is several ways to display these faces:

  • Don't display frozen faces: All faces are displayed even when a face is excluded of the optimization process.
  • Semi transparent display of frozen faces: faces excluded of the optimization process are red displayed.
  • Hide frozen faces: faces excluded of the optimization process are not displayed.


Open GL / File

Save as...
menu access: File
keyboard access: Ctrl + S

This function saves scene in the 3D file format you select.

  • Select "Save as..." in the File menu. A file selector is displayed.
  • Select the folder and the enter a filename.
  • Select the file format.
  • Click on Save button.


OpenGL / Tools

OpenGL view offers you several tools to move in and around your scene. Here is a description these tools..

Navigating in the 3D scene
menu access: Tools
OpenGL viewer toolbar
keyboard access:

You use the following shortcuts keys to activate temporarily a moving tools:

  • Ctrl: to zoom in/out the scene.
  • Alt: to rotate around the scene. By using the camera control, you can rotate around the scene along a given axis.
  • Ctrl+Alt: to pan on your scene.
  • Shift: to accelerate rotation, zoom, or pan.

Pan
menu access: Tools
keyboard access: P, Ctrl + Alt

To move laterally on the scene:

  • Select "Pan" tool
  • Click and move on the OpenGL view to pan

Rotate
menu access: Tools
keyboard access: R, Alt

To turn around the scene:

  • Select "Rotate" tool
  • Click and move inside the circle control to rotate along X and Y axis, or
    Click and move outside the circle control to rotate along Z axis, or
    Click and move on a circle control handle to rotate along X or Y axis

Zoom
menu access: Tools
keyboard access: Z, Ctrl

To zoom in/out the scene:

  • Select "Zoom" tool
  • Click and move up the screen to zoom in
    Click and move down the screen to zoom out


OpenGL / Preferences

OpenGL preferences allows you to customize the viewer settings.
You can adjust the view, depending on your computer performances, to accelerate the display or to increase the render quality

General preferences
menu access : Tools
OpenGL viewer toolbar

Double-sided display
Switch between a double-sided display or a single-sided display. In single-sided mode, faces display depend on its normal orientation.

Show selected faces
Allows to display selected faces with a specific color. To select this color click on Selected faces color.Semi-transparent hidded objects.
Hidded objects are semi-transparency displayed.

Use vertex colors when possible
Show vertex colors if your object has color information for each point. This allows to control vertex colors optimization

Use small icons in toolbars
Check this option to reduce the toolbars icons size.

Colors and lights
menu access : Tools
OpenGL viewer toolbar

Background color
Change OpenGL background color using a color selector.

Selected faces color
Change color of selected faces using a color selector.

Wireframe color (smooth / flat)
Change wireframe color when using flat + wireframe or smooth + wireframe mode.

Lights color
Change the lights color using a color selector. The default lights color is a light gray.

Single spot lighting
Chech this box to use a single light to brighten your scene. This reduce the rendering quality but increase the OpenGL display.

Textures
menu access : Tools
OpenGL viewer toolbar

Enable texturing
Chech this box to display textures in the OpenGL viewer.
Textures display reduces speed and increases memory needs, but enhances rendering.

Use low resolution textures
When you display textures, you can reduce memory needs by checking this box. Enter the maximum size (in pixels) for textures in the Maximum image size field. Depending on the value you enter, using low resolution textures decreases rendering quality but increases its speed.

Apply perspective correction
Check this box to improve textures mapping on your objects. This reduces textures deformations when you turn around the scene and reduces openGL speed display.

Use smoothed textures
Check this box to smooth textures and to limit textures aliasing.
This reduces openGL speed display.

Textures directories
menu access : Tools
OpenGL viewer toolbar

You'll find the list of directories where the openGL will look for textures files.
The viewer will look for a given texture file first in the current directory, then in all the directories of this list.

Add path
Use the directory selector to add a directory to the list.

Remove path
Remove the selected directories from the list.


OpenGL / View

Predefined points of view
menu access : View
keyboard access: 2, 4, 6, 8, 5, Ctrl+5 of the numeric pad

Predefined views allow to view scene from the top, front, left...
Zoom factor does not change when you selet one predefined view. Use Fit on view if you need to enlarge/shrink scene to fit the view.

OpenGL display mode
 menu access : View
toolbar access
keyboard access: Ctrl+0, Ctrl+1, Ctrl+2, Ctrl+3, Ctrl+4

You've got 3 different display modes and 2 combinated modes:

  • Wireframe
  • Flat
  • Smooth: you got 3 levels of smoothing: low, medium or strong. You can also customize the smoothing level, entering an angle value under which two faces will be smooth displayed.
  • Flat+wireframe
  • Smooth+wireframe

Combinated modes are really useful to check the mesh polygons.

Enable texturing
 version: Light / Std / Pro
menu access : View
toolbar access
keyboard access: Ctrl+T

Check this setting to enable or disable texturing. This is a shortcut for the Enable texturing setting in the preferences dialog (Textures tab).

Enable vertexs colors
 version: Light / Std / Pro
menu access : View
toolbar access

Check this setting to enable or disable vertexs colors. This is a shortcut for the Use vertexs colors when possible setting in the preferences dialog (General tab).

Fit on screen
menu access : View
keyboard access: 0 (Num. pad)

The "Fit on view" commands shrink or enlarge scene to fit the view.

Full screen
menu access : View
toolbar access
keyboard access: Tab

This toggles Full screen mode on. To close Full screen mode, press on the Tab key.


...Open GL / File

Save scene as image...
version: Std / Pro
menu access: File / Save scene as image...
keyboard access: Ctrl+Alt+S

Save an image from the scene defining its size, the render mode and the point of view.
Define your parameters than press OK. A file selector allows you to define the name and the format of the image to saved.

Render settings

Select the render mode (wireframe, smooth...), the point of view (top, front...) and the background color used to create the image.

Current point of view uses the point of view curently used in the viewer.

Click on the color picker to choose a color on the screen or, click on the color button to display the color selector dialog box.

Render mode

Point of view

Background color
Image settings

Enter width and height of the image (in pixels).

Image width

Image height
Antialiased image

Check this option in order to get a smoothed image and give it more precision.

Unchecked this option to get a rough image. For example, this might be useful when you render in the wireframe mode.

Print...
version: Std / Pro
menu access: File / Print...
keyboard access: Ctrl+P

This command prints an image of the scene. Current point of view is used, white is used as background color.
Generated image has a good definition, so you can print large image format.